Bug 1316497 - OData - PUT cannot parse entity
OData - PUT cannot parse entity
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
Depends On:
  Show dependency treegraph
Reported: 2016-03-10 06:10 EST by Juraj Duráni
Modified: 2016-08-24 07:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-24 07:38:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4056 Major Closed OData - PUT cannot parse entity 2016-06-15 08:19 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 06:10:22 EST
Description of problem:
If user want to update entity using HTTP PUT method, OData service returns error that JSON document is not valid. Even if entity is in XML format.

*URL:* http://localhost:8080/odata4/olingo_basic/Source/PutTable(1) or http://localhost:8080/odata4/olingo_basic/Source/PutTable(2)
*Method:* PUT
*Request reader:* Content-type: application/json or Content-type: application/xml
*Error:* The syntax of the JSON document is not valid.
*Entity JSON:*
*Entity XML:*
<?xml version='1.0' encoding='UTF-8'?><entry xmlns="http://www.w3.org/2005/Atom" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:m="http://docs.oasis-open.org/odata/ns/metadata" xmlns:d="http://docs.oasis-open.org/odata/ns/data" xmlns:gml="http://www.opengis.net/gml" xmlns:georss="http://www.georss.org/georss"><category scheme="http://docs.oasis-open.org/odata/ns/scheme"/><content type="application/xml"><m:properties><d:intnum m:type="Int32">4</d:intnum><d:stringval>4</d:stringval><d:timestampval m:type="DateTimeOffset">2004-01-01T00:00:04Z</d:timestampval><d:clobval m:type="Binary">Y2xvYl92YWx1ZV8wMDAwNA==</d:clobval></m:properties></content></entry>
Comment 1 JBoss JIRA Server 2016-03-14 09:04:45 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4056 to Resolved
Comment 2 JBoss JIRA Server 2016-06-15 08:19:46 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4056 to Closed

Note You need to log in before you can comment on or make changes to this bug.